#
# spec file for package perl-SVG
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SVG
Version:        2.64
Release:        6.1
%define cpan_name SVG
Summary:        Perl extension for generating Scalable Vector Graphics (SVG) documents
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/SVG/
Source0:        http://www.cpan.org/authors/id/S/SZ/SZABGAB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(parent)
Requires:       perl(parent)
%{perl_requires}

%description
SVG is a 100% Perl module which generates a nested data structure
containing the DOM representation of an SVG (Scalable Vector Graphics)
image. Using SVG, you can generate SVG objects, embed other SVG instances
into it, access the DOM object, create and access javascript, and generate
SMIL animation content.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Sun Jun  7 2015 coolo@suse.com
- updated to 2.64
  see /usr/share/doc/packages/perl-SVG/Changes
  2.64 2015.06.02
  - RT #103938 SVG::DOM insertSiblingAfter calls nonexistent 'parent' method (Marius Gavrilescu)
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.63
  see /usr/share/doc/packages/perl-SVG/Changes
  2.63 2015.03.06
  - Move SVG results from POD to external files.
  2.62 2015.03.06
  - Remove more duplicate pod.
  - Encoding of the pod RT #89414
  2.61 2015.03.03
  - Eliminate a bunch of duplicate documentation.
  - Skip tidy testing if module is not available (RT #102484)
  - POD formatting.
  2.60 2015.03.03
  - Convert source files to utf8
  - Add more tests
  - css styles are now sorted to make it easeier to test
  - Run Perltidy on the code
* Tue Jun  4 2013 coolo@suse.com
- updated to 2.59
  - Experiment to show images on MetaCPAN
  - Move all the content of SVG::Manual to SVG
  - Add an image to the pod generated by and example.
  - Rename SVG::Manual from .pm to .pod.
  - Stop violating the Subroutines::ProhibitExplicitReturnUndef policy,
    eliminate 'return undef' and return wantarray?():undef; from the code.
  - Update the dates in the Changes file.
  - Remove the function prototypes that don't work on methods anyway.
    Stop violating the Subroutines::ProhibitSubroutinePrototypes policy.
  - missing test file removed from MANIFEST (RT #78856)
  - move POD testing to xt/
  - Some example cleanup - Shlomi Fish
  - removing prototype - Shlomi Fish
  - POD fixes - David Paleino
* Mon May 28 2012 coolo@suse.com
- updated to 2.51
  - Maintenance by Gabor Szabo
  - Some documentation fixes.
  - Modernizing test suite.
  - Link to new public repository.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Aug  4 2010 chris@computersalat.de
- initial package 2.50
  * created by cpanspec 1.78
